Bug 948775 - Wrong Boot Options set when creating VM Pool from template using REST API
Summary: Wrong Boot Options set when creating VM Pool from template using REST API
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-api
Version: 3.2
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 3.3
Assignee: Martin Betak
QA Contact:
URL:
Whiteboard: virt
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-04-05 12:05 UTC by Martin Betak
Modified: 2013-09-23 07:34 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-09-23 07:34:51 UTC
oVirt Team: ---


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 13639 None None None Never

Description Martin Betak 2013-04-05 12:05:01 UTC
Description of problem:

When creating a VM Pool from template the boot options for each machine in pool are set to:
Fist device: Hard Disk
Second device: [None]
regardless of what was set as boot options in the template.

Creating the VM Pool from the same template using webadmin gui works correctly.

How reproducible: 

100%

Steps to Reproduce:
1. Create a VM template with non-default boot options (e.g. First device: Network)
2. Create a VM pool from this template using REST API
  
Actual results:

Boot options of VM pool machines are set to Hard Disk, [None]

Expected results:

Boot options of VM pool machines are set to Network, [None] - as specified in the template

Comment 1 Itamar Heim 2013-08-21 16:41:52 UTC
as RC is built, moving to ON_QA (hopefully did not catch incorrect bugs when doing this)

Comment 2 Itamar Heim 2013-09-23 07:34:51 UTC
closing as this should be in 3.3 (doing so in bulk, so may be incorrect)


Note You need to log in before you can comment on or make changes to this bug.